﻿@using Portal.Models.PO;
@using Portal.Models.Dock;
@using System.Web.UI.WebControls
@using System.Web.Mvc;

<table border="0">
    <tr>
        <td align="left">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Production Month";
                    edtSettings.Width = Unit.Pixel(120);
                }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "FMProductionMonthText";
                    textBox.Name = "FMProductionMonthText";
                    textBox.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()  
        </td>
        <td>&nbsp&nbsp&nbsp&nbsp</td>
        <td>&nbsp&nbsp&nbsp&nbsp</td>
        <td align="left">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Fluctuation Category";
                    edtSettings.Width = Unit.Pixel(120);
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "FMCategoryText";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(130);
                edtSettings.CallbackRouteValues = new { Controller = "FluctuationMonitoring", Action = "GetFluctuationCategory" };
                edtSettings.Properties.ValueField = "FLUCTUATION_TEXT";
                edtSettings.Properties.TextField = "FLUCTUATION_CD";
                edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                edtSettings.Properties.DropDownHeight = 100;
                edtSettings.Width = Unit.Pixel(100);
                edtSettings.Properties.EnableClientSideAPI = true;
                //edtSettings.Properties.ClientSideEvents.SelectedIndexChanged = "OnReportTypeSelected";
                //edtSettings.Properties.ClientSideEvents.Init = "AddComboTypeDefaultValue";
            }).BindList(Model.GetModel<Portal.Models.FluctuationMonitoring.FluctuationMonitoringData>().FMSystem).GetHtml()  
        </td>
    </tr>
    <tr>
        <td align="left">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Timing";
                    edtSettings.Width = Unit.Pixel(90);
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "FMTimingText";
                        settings.SelectedIndex = 0;
                        settings.Width = Unit.Pixel(110);
                        settings.Properties.Items.Add("", "");
                        settings.Properties.Items.Add("Tentative", "T");
                        settings.Properties.Items.Add("Firm", "F");
                    }
                ).GetHtml()  
        </td>
        <td>&nbsp&nbsp&nbsp&nbsp</td>
        <td>&nbsp&nbsp&nbsp&nbsp</td>
        <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier";
                    edtSettings.Width = Unit.Pixel(90);
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {                       
                    gridLookup.Name = "FMSupplierGrid";
                    gridLookup.Width = 100;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "FluctuationMonitoring", Action = "PartialSupplier" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    gridLookup.GridProperties.SettingsPager.NumericButtonCount = 5;
                    //gridLookup.ButtonClick = "OnSFSHSupplierIDOptionButtonClick";

                    //if (DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "SUPPLIER_CODE") != null)
                    //{
                    //    gridLookup.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "SUPPLIER_CODE"));
                    //}
                    //else
                    //{
                    //    gridLookup.Text = "";
                    //}
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<Portal.Models.FluctuationMonitoring.FluctuationMonitoringData>().FMSupplier).GetHtml()

        </td>
    </tr>
    <tr><td colspan="6">&nbsp</td></tr>
    <tr>
        <td>
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "DJDownloadButton";
                    settings.Text = "Download";
                    settings.UseSubmitBehavior = true;
                    settings.EnableClientSideAPI = true;
                    settings.ClientEnabled = false;
                    settings.ClientSideEvents.Click = "onClickDownload";
                }
            ).GetHtml()
        </td>
        <td colspan="3"></td>
        <td colspan="2">
            <table border="0" style="width:100%">
                <tr>
                    <td style="width:40%">&nbsp&nbsp&nbsp&nbsp&nbsp</td>
                    <td style="width:30%">
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "DJSearchButton";
                            settings.Text = "Search";
                            settings.UseSubmitBehavior = true;
                            settings.Width = Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "onClickSearch";
                        }).GetHtml()
                    </td>
                    <td style="width:30%">
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "DJClearButton";
                            settings.Text = "Clear";
                            settings.UseSubmitBehavior = true;
                            settings.Width = Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "onClickClear";
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>